## sjog 0.6

=== spicdriver/Makefile ===

TARGET = spicdriver

CC = gcc
LD = ld
CCFLAG = -O -Wall -Wstrict-prototypes -pipe -m486
LINKFLAG = -r
OBJECTS = spicdriver.o
COMPILE = $(CC) $(CCFLAG)
LINK = $(LD) $(LINKFLAG)

$(TARGET):	$(OBJECTS)
		$(LINK) $(OBJECTS) -o $(TARGET)
all: $(TARGET)
.c.o:
		$(COMPILE) -c $<

clean: 
	rm -f $(TARGET)
	rm -f *.o
	rm -f *~

## sjog 0.5-14

=== debian/changelog ===
sjog (0.5-14) unstable; urgency=low

  * undid drag logic for 2.6 woes 

 -- Francois Gurin <matrix@debian.org>  Sat,  4 Oct 2003 01:32:09 -0400

sjog (0.5-13) unstable; urgency=low

  * patched for 2.4.21-pre3 sonypu 

 -- Francois Gurin <matrix@nancy.spic.net>  Fri, 17 Jan 2003 04:15:22 -0500

sjog (0.5-12) unstable; urgency=low

  * patched for 2.4.20rc1 sonypi 

 -- Francois Gurin <matrix@nancy.spic.net>  Thu,  7 Nov 2002 16:58:11 -0500

sjog (0.5-11) unstable; urgency=low

  * verbose events in prep for a functional rewrite 

 -- Francois Gurin <matrix@nancy.spic.net>  Wed,  4 Sep 2002 12:51:01 -0400

sjog (0.5-10) unstable; urgency=low

  * added more pcg-u1 customizations for mouse emulation 

 -- Francois Gurin <matrix@nancy.spic.net>  Mon,  2 Sep 2002 01:22:06 -0400

sjog (0.5-9) unstable; urgency=low

  * fill this blank 

 -- Francois Gurin <matrix@nancy.spic.net>  Mon, 26 Aug 2002 05:26:29 -0400

sjog (0.5-8) unstable; urgency=low

  * u1 support 

 -- Francois Gurin <matrix@nancy.spic.net>  Mon, 26 Aug 2002 05:25:17 -0400

sjog (0.5-7) unstable; urgency=low

  * Removed previous patch, wrong fix: breaks mouse wheel. Reopened #146566.

 -- Hugo Haas <hugo@debian.org>  Sun, 23 Jun 2002 08:40:13 -0400

sjog (0.5-6) unstable; urgency=low

  * Applied patch from Mike Hommey <mh@glandium.org> fixing a crash
    (Closes: #146566).

 -- Hugo Haas <hugo@debian.org>  Mon, 17 Jun 2002 12:45:02 -0400

sjog (0.5-5) unstable; urgency=low

  * Changed priority to extra.

 -- Hugo Haas <hugo@debian.org>  Mon, 21 Jan 2002 16:52:38 -0500

sjog (0.5-4) unstable; urgency=low

  * Added a hide keyword which hides the menu as requested in #128234.

 -- Hugo Haas <hugo@debian.org>  Sun, 13 Jan 2002 13:09:20 -0500

sjog (0.5-3) unstable; urgency=low

  * Replacing Netscape by Mozilla in sjogrc as requested in #128234.
  * Added a pop down entry by Joey Hess <joeyh@debian.org> as requested
    in #128234.
  * Added example of sjogrc incluing XMMS control from Joey Hess
    <joeyh@debian.org> sent in #128234.
  * Applied no-show-on-startup patch from Joey Hess <joeyh@debian.org> as
    submitted in #128234.
  * Applied reset-menu patch from Joey Hess <joeyh@debian.org> as
    submitted in #128234.
  * Applied redo patch from Joey Hess <joeyh@debian.org> as
    submitted in #128234.
  * Modified man page to include new options.
  * Documented all that in README.Debian.

 -- Hugo Haas <hugo@debian.org>  Sat, 12 Jan 2002 22:23:25 -0500

sjog (0.5-2) unstable; urgency=low

  * Architecture is i386 only.
  * Using DH_COMPAT=3 in debian/rules.

 -- Hugo Haas <hugo@debian.org>  Mon, 31 Dec 2001 11:56:42 -0500

sjog (0.5-1) unstable; urgency=low

  * Initial Release (Closes: #126798).

 -- Hugo Haas <hugo@debian.org>  Fri, 28 Dec 2001 15:44:30 -0500

=== debian/control ===
Source: sjog
Section: x11
Priority: extra
Maintainer: Hugo Haas <hugo@debian.org>
Standards-Version: 3.5.6.0
Build-Depends: autoconf (>= 2.53-2), automake (>= 1.4-p4-1.1), debhelper (>= 3), libglib1.2-dev (>= 1.2.10-4), libgtk1.2-dev (>= 1.2.10-11), xlibs-dev (>= 4.1.0-16), xutils (>= 4.1.0-16)

Package: sjog
Architecture: i386
Depends: ${shlibs:Depends}, spicctrl
Description: A program to use the "Jog Dial" on Sony Vaio Laptops
 S-Jog is a program that uses the Sony Vaio laptops Jog Wheel to do various
 things:
     * Launch applications
     * Adjust screen brightness
     * Adjust volume
     * Act like a mousewheel
 S-Jog pops up when you click the Jog Wheel then disappears after 3 seconds
 of idle time. The mousewheel feature is turned on when S-Jog is hidden.

## sjog 0.5-15

=== debian/changelog ===
sjog (0.5-15) unstable; urgency=low

  * some more 2.6 fixes 

 -- Francois Gurin <matrix@debian.org>  Wed, 12 Nov 2003 23:57:41 -0500

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess. 

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

build: build-stamp
build-stamp:
	dh_testdir

	./configure --prefix=/usr --sysconfdir=/etc
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) prefix=`pwd`/debian/sjog/usr sysconfdir=`pwd`/debian/sjog/etc install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs AUTHORS README TODO
	dh_installexamples debian/sjogrc.xmms
#	dh_installmenu
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman debian/sjog.1
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
